#
# spec file for package python3-progressbar
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-progressbar
Version:        2.3+hg20121105.3c94a3a1ebe1
Release:        10.1
Summary:        Text Progressbar Library for Python
License:        LGPL-2.1+ or BSD-3-Clause
Group:          Development/Libraries/Python
Url:            http://code.google.com/p/python-progressbar/
Source:         progressbar-%{version}.tar.bz2
Patch0:         progressbar-python3-relative-imports.patch
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-distribute
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This library provides a text mode progressbar. This is tipically used to
display the progress of a long running operation, providing a visual clue that
processing is underway.

%prep
%setup -q -n progressbar
%patch0 -p1
sed -i "/\/usr\/bin\/python/d" progressbar/*.py  # Correctly fix non-executable-script warning

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE.txt README.txt examples.py
%{python3_sitelib}/progressbar/
%{python3_sitelib}/progressbar-2.3-py%{py3_ver}.egg-info

%changelog
* Mon Nov  5 2012 saschpe@suse.de
- Correctly fix non-executable-script rpmlint warning
- No need to explicitly require python(abi), RPM does that since ages
- Cleanup old SUSE version checks
* Mon Nov  5 2012 saschpe@suse.de
- Update to 2.3+hg20121105.3c94a3a1ebe1
  + See mercurial changes
- Add progressbar-python3-relative-imports.patch: Fix import paths
* Thu Sep  6 2012 toddrme2178@gmail.com
- Restore BuildRequires: python3  This package depends on hash
  algorithms that are only available if python3 is installed,
  python3-devel will not pull them in.  Building will fail if
  BuildRequires: python3 is removed.
* Fri May 25 2012 toddrme2178@gmail.com
- Fix building on openSUSE 11.4
- spec file cleanups
* Wed May 23 2012 highwaystar.ru@gmail.com
- python3 package added
